package com.freescale.contentsync;

public class CacheEntry {

	public CacheEntry(String name, long length, String modificationTime,
			String checksum) {
		Name = name;
		Length = length;
		ModificationTime = modificationTime;
		Checksum = checksum;
	}

	public String Name;
	public long Length;
	public String ModificationTime;
	public String Checksum;

	public boolean IsValueEqual(CacheEntry entry) {
		return Name.equals(entry.Name) && Length == entry.Length
				&& ModificationTime.equals(entry.ModificationTime)
				&& Checksum.equals(entry.Checksum);
	}
}
