#ifndef FSL_DEMOAPPS_GLES2_S04_PROJECTION_HPP
#define FSL_DEMOAPPS_GLES2_S04_PROJECTION_HPP

/*
* This code was created by Jeff Molofee '99
* (ported to Linux by Ti Leggett '01)
* (ported to i.mx51, i.mx31 and x11 by Freescale '10)
* (ported to the Freescale demo framework by Freescale '14)
* If you've found this code useful, please let him know.
*
* Visit Jeff at http://nehe.gamedev.net/
*
*/

#include <FslBase/Math/Matrix.hpp>
#include <FslDemoAppGLES2/DemoAppGLES2.hpp>
#include <FslGraphicsGLES2/GLProgram.hpp>

namespace Fsl
{
  class S04_Projection : public DemoAppGLES2
  {
    GLES2::GLProgram m_program;
    GLuint m_hModelViewMatrixLoc;
    GLuint m_hProjMatrixLoc;
    Matrix m_matProj;
    Matrix m_matTranslate1;
    Matrix m_matTranslate2;
    float m_angle;
  public:
    S04_Projection(const DemoAppConfig& config);
    ~S04_Projection();
  protected:
    virtual void Update(const DemoTime& demoTime);
    virtual void Draw();
  };
}

#endif

